Bug 253270 - net/dhcpcd: Fails to build if TOP is set
Summary: net/dhcpcd: Fails to build if TOP is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yasuhiro Kimura
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2021-02-05 12:48 UTC by Volodymyr Kostyrko
Modified: 2021-10-31 04:37 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback? (driesm)
koobs: merge-quarterly?


Attachments
dhcpcd-TOP.diff (2.03 KB, patch)
2021-09-10 17:36 UTC, Dries Michiels
driesm: maintainer-approval+
Details | Diff
dhcpcd-TOP.diff (2.35 KB, patch)
2021-09-10 17:43 UTC, Dries Michiels
driesm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Volodymyr Kostyrko 2021-02-05 12:48:02 UTC
According to man top(1) TOP variable can be set to specify default parameters. Port uses the same variable but doesn't override it.
Comment 2 Ben Woods freebsd_committer 2021-05-22 02:23:33 UTC
Sorry, due to a lack of time I have reset the maintainer of this port back to ports@FreeBSD.org. Hopefully someone else is able to step in to help.
Resetting the assignee of this bug accordingly.
Comment 3 Dries Michiels freebsd_committer 2021-08-29 17:41:17 UTC
Volodymyr Kostyrko, is this OK for you now?

Roy, unfortunately the link to the commit seems broken.
If its in 9.4.0 I would like the submitter to close this issue (if that fixed it ofc).
Comment 4 Herbert J. Skuhra 2021-08-29 18:04:14 UTC
https://github.com/NetworkConfiguration/dhcpcd/commit/e36d62c22c46876286f377661a4ca76067789bdd

This is the new home for dhcpcd.

(It was commited after the 9.4.0 release)
Comment 5 roy 2021-08-29 20:20:31 UTC
(In reply to Dries Michiels from comment #3)

It's in the dhcpcd-9 branch so will appear in dhcpcd-9.4.1
Comment 6 Dries Michiels freebsd_committer 2021-08-31 09:05:14 UTC
Thanks Roy, looking forward to 9.4.1.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-01 01:41:36 UTC
Can we backport the patch addressing the issue? Bundling bugfixes with version updates, unless those version updates are exclusively bugfixes, allows committers to merge bugfixes to the quarterly branch
Comment 8 Dries Michiels freebsd_committer 2021-09-06 07:41:08 UTC
I'll give it a shot this week.
Comment 9 Dries Michiels freebsd_committer 2021-09-10 17:36:15 UTC
Created attachment 227812 [details]
dhcpcd-TOP.diff

Poudriere testport looks good.
Comment 10 Dries Michiels freebsd_committer 2021-09-10 17:37:10 UTC
Forgot to bump PORTREVISION though.
Comment 11 Dries Michiels freebsd_committer 2021-09-10 17:43:56 UTC
Created attachment 227813 [details]
dhcpcd-TOP.diff
Comment 12 Yasuhiro Kimura freebsd_committer 2021-10-31 04:25:35 UTC
Take.
Comment 13 commit-hook freebsd_committer 2021-10-31 04:32:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9e078ab7b7515a325c0ce7b6089e638e8ce0e63c

commit 9e078ab7b7515a325c0ce7b6089e638e8ce0e63c
Author:     Dries Michiels <driesm.michiels@gmail.com>
AuthorDate: 2021-10-31 04:21:37 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-31 04:21:37 +0000

    net/dhcpcd: Fix build when TOP environment viriable is set

    PR:             253270
    Reported by:    Volodymyr Kostyrko

 net/dhcpcd/Makefile                                     |  1 +
 net/dhcpcd/files/patch-hooks_Makefile (new)             |  8 ++++++++
 net/dhcpcd/files/patch-src_Makefile (new)               | 11 +++++++++++
 net/dhcpcd/files/patch-src_dev_Makefile (new)           |  8 ++++++++
 net/dhcpcd/files/patch-tests_crypt_Makefile (new)       |  8 ++++++++
 net/dhcpcd/files/patch-tests_eloop-bench_Makefile (new) |  8 ++++++++
 6 files changed, 44 insertions(+)
Comment 14 commit-hook freebsd_committer 2021-10-31 04:36:08 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=01223a9c0d50f4a263beacb400770ae1085d111d

commit 01223a9c0d50f4a263beacb400770ae1085d111d
Author:     Dries Michiels <driesm.michiels@gmail.com>
AuthorDate: 2021-10-31 04:21:37 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-31 04:35:13 +0000

    net/dhcpcd: Fix build when TOP environment viriable is set

    PR:             253270
    Reported by:    Volodymyr Kostyrko

    (cherry picked from commit 9e078ab7b7515a325c0ce7b6089e638e8ce0e63c)

 net/dhcpcd/Makefile                                     |  1 +
 net/dhcpcd/files/patch-hooks_Makefile (new)             |  8 ++++++++
 net/dhcpcd/files/patch-src_Makefile (new)               | 11 +++++++++++
 net/dhcpcd/files/patch-src_dev_Makefile (new)           |  8 ++++++++
 net/dhcpcd/files/patch-tests_crypt_Makefile (new)       |  8 ++++++++
 net/dhcpcd/files/patch-tests_eloop-bench_Makefile (new) |  8 ++++++++
 6 files changed, 44 insertions(+)
Comment 15 Yasuhiro Kimura freebsd_committer 2021-10-31 04:37:31 UTC
Committed and merged to quarterly branch. Thanks!